# 项目相关配置
ruoyi:
  # 名称
  name: Zbf
  # 版本
  version: 3.8.7
  # 版权年份
  copyrightYear: 2024
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /usr/rzg/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8089
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

logging:
  level:
    com.zbf: info
    org.springframework: warn
    org.quartz: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
#    password: Rzg@2024#!
    password: 123456
    # 连接超时时间
    timeout: 10m
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 30
  # 是否允许账户多终端同时登录（true允许 false不允许）
  soloLogin: true


# MyBatis配置
#mybatis:
#  # 搜索指定包别名
#  typeAliasesPackage: com.zbf.**.domain
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  configLocation: classpath:mybatis/mybatis-config.xml

mybatis-plus:
  typeAliasesPackage: com.zbf.**.domain
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  configLocation: classpath:mybatis/mybatis-config.xml
  global-config:
    db-config:
      logic-delete-field: isDelete # 全局逻辑删除的实体字段名(since 3.3.0,配置后可以忽略不配置步骤2)
      logic-delete-value: 0 # 逻辑已删除值(默认为 1)
      logic-not-delete-value: 1 # 逻辑未删除值(默认为 0)
      # 主键类型 0:数据库ID自增 1.未定义 2.用户输入 3 id_worker 4.uuid 5.id_worker字符串表示
      id-type: auto
    enable-sql-runner: true

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# flowable相关表
flowable:
  # true 会对数据库中所有表进行更新操作。如果表不存在，则自动创建(建议开发时使用)
  database-schema-update: false
  # 关闭定时任务JOB
  async-executor-activate: false
#审核人
deptmanager: zhangsan
managerName: lisi

deviceIp: "https://36.139.3.75:38443/datalinkprobackend/aksk/formentity/entityManagement/saveEntity"
mqtt:
  username: vendor
  password: vendor01
  hostUrl: tcp://172.22.28.156:1883
  #username: admin
  #password: 123456
  #hostUrl: tcp://broker.emqx.io
  clientId: wms
  topics:
    - $sapi/2/raas/raas-none-2cf7f12057da/rpc/req/<wms>
    - $sapi/1/raas/rpc/rsp/#
    - test
  timeout: 100
  keepalive: 60
  qos: 1
# 钉钉相关信息158
appkey: dingey9uhem8tpi36c5u
appSecret: 5oPLdAz6MFPXDBsLZo6vRTVbqLGTBaI_wXBgw8kRfb3VI675XcW3N59kIabME2zB


#appkey: dingtc5r3gbt1rt6u5p2
#appSecret: 9sZtsv9i0MjvylZK_i3R5_cfs7_W1QuyjDeBtDAaTyjHk7tHocaYpskkbYhEMNPN



